DIPlib Documentation - ©1995-2013 Quantitative Imaging Group, Delft University of Technology.

# Truncate

Arithmetic function

## SYNOPSIS

dip_Error dip_Truncate ( in, out )

## DATA TYPES

binary, integer, float

## FUNCTION

Computes the truncation of the input image values, and outputs a signed integer typed image.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output

## SEE ALSO

`Abs`, `Ceil`, `Floor`, `Sign`, `Fraction`, `NearestInt`